Configure a data SVM as a proxy
Configures a data SVM as a proxy for Active Directory authentication, allowing cluster user accounts to authenticate through Active Directory. This setup is essential when integrating ONTAP with Active Directory to manage user access centrally.
HTTP method and endpoint
POST /security/authentication/cluster/ad-proxy
Introduced in
ONTAP 9.7
Usage notes
Configures a data SVM as a proxy for Active Directory based authentication for cluster user accounts.
Required properties
-
svm.nameorsvm.uuid- Name and UUID of the SVM for a cluster user account.
Related ONTAP commands
-
security login domain-tunnel create
Request Body
| Name | Type | Description |
|---|---|---|
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2621516 |
This operation is only supported on a data SVM. |
2621706 |
The specified |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
cluster_ad_proxy
The SVM configured as proxy for Active Directory authentication of cluster accounts.
| Name | Type | Description |
|---|---|---|
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |